### Method

# Aravis GcFeatureNode get_value_as_string

#### Declaration [src]

    const char*
    arv_gc_feature_node_get_value_as_string (
      ArvGcFeatureNode* gc_feature_node
      GError** error
    )

#### Description [src]

Retrieve the node value a string.

<warning><para>Please note the string content is still owned by the `node` object, which means the returned pointer may not be still valid after a new call to this function.</para></warning>.

#### Return value

Type: `const char*`

A string representation of the node value, `NULL` if not applicable.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.